#
# spec file for package python-OpenEXR
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           python-OpenEXR
Version:        1.2.0
Release:        17.2
Summary:        Python bindings for OpenEXR
Group:          Development/Libraries/Python
License:        BSD-3-Clause
Url:            http://excamera.com/articles/26/openexr.html
Source0:        http://pypi.python.org/packages/source/O/OpenEXR/OpenEXR-%{version}.tar.gz
Source1:        http://excamera.com/files/OpenEXR.pdf
# license will be included in future release
# see http://www.mail-archive.com/openexr-devel@nongnu.org/msg00844.html
Source1000:     license.txt
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  gcc-c++
%if 0%{?suse_version}
%py_requires
%endif
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
OpenEXR is an image format developed by ILM. Its main innovation is
support for high dynamic range: it supports floating point pixels.

These modules provide Python bindings for the OpenEXR libraries: it
allows you to read and write OpenEXR files from Python.

Note that this module only loads and stores images: it does not do
any image manipulation operations. For that you might want to use
one of:

 * PIL
 * NumPy
 * vop
 * OpenCV
 * HALF
 * UINT
 * FLOAT

%package doc
License:        BSD-3-Clause
Summary:        Documentation for %{name}
Group:          Documentation/Other

%description doc
OpenEXR is an image format developed by ILM. Its main innovation is
support for high dynamic range: it supports floating point pixels.

These modules provide Python bindings for the OpenEXR libraries: it
allows you to read and write OpenEXR files from Python.

Note that this module only loads and stores images: it does not do
any image manipulation operations. For that you might want to use
one of:

 * PIL
 * NumPy
 * vop
 * OpenCV
 * HALF
 * UINT
 * FLOAT

%prep
%setup -q -n OpenEXR-%{version}
cp %{SOURCE1} %{SOURCE1000} .

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-,root,root,-)
%doc license.txt
%{python_sitearch}/*

%files doc
%defattr(-,root,root,-)
%doc OpenEXR.pdf

%changelog
* Thu Sep 22 2011 saschpe@suse.de
- Update to 1.2.0:
  * Support for the StringVector attribute, used in multiView.
- Spec file cleanup:
  * Use SUSE version check around %%py_requires
* Wed Aug 26 2009 mvyskocil@suse.cz
- Update to 1.0.3:
  * Improvements to error messages, argument parsing, and module
  * initialisation, thanks to Campbell Barton.
* Tue Jun  2 2009 mvyskocil@suse.cz
- Initial packaging of python-OpenEXR 1.0
